package csbi

import (
	"io"
	"testing"

	"github.com/docker/docker/client"
)

func Test_buildImage(t *testing.T) {
	type args struct {
		d            Deployment
		dockerClient *client.Client
	}
	tests := []struct {
		name    string
		args    args
		wantErr bool
	}{
		// TODO: Add test cases.
	}
	for _, tt := range tests {
		t.Run(tt.name, func(t *testing.T) {
			if err := buildImage(tt.args.d, tt.args.dockerClient); (err != nil) != tt.wantErr {
				t.Errorf("buildImage() error = %v, wantErr %v", err, tt.wantErr)
			}
		})
	}
}

func Test_print(t *testing.T) {
	type args struct {
		rd io.Reader
	}
	tests := []struct {
		name    string
		args    args
		wantErr bool
	}{
		// TODO: Add test cases.
	}
	for _, tt := range tests {
		t.Run(tt.name, func(t *testing.T) {
			if err := printImageBody(tt.args.rd); (err != nil) != tt.wantErr {
				t.Errorf("print() error = %v, wantErr %v", err, tt.wantErr)
			}
		})
	}
}
